Page MenuHomePhabricator

Provide a URL that indicates Harbormaster build status as an image
Closed, WontfixPublic

Description

I'm currently in the process of submitting a project to an open source foundation, and one of their requirements is to show the build status in the README of the repository. This is so that when users visit the open source page on GitHub, they can assess whether or not the project is stable / usable. Build systems such as Travis CI have image URLs that can indicate the build state of a project. See https://docs.travis-ci.com/user/status-images/ for what this looks like.

Since I'm using Harbormaster, I need a URL that when requested will show the build status as an image (ideally for a branch on a repository).

Event Timeline

hach-que created this task.Dec 10 2015, 7:54 PM
hach-que raised the priority of this task from to Needs Triage.
hach-que updated the task description. (Show Details)
hach-que changed the edit policy from "All Users" to "Custom Policy".
hach-que added a project: Feature Request.
hach-que added a subscriber: hach-que.
avivey added a subscriber: avivey.
avivey removed a subscriber: avivey.
epriestley triaged this task as Wishlist priority.Dec 10 2015, 8:21 PM
epriestley moved this task from Backlog to Far Future on the Harbormaster board.
eadler added a project: Restricted Project.Aug 5 2016, 4:44 PM
J5lx added a subscriber: J5lx.Dec 1 2016, 6:32 PM
J5lx awarded a token.Dec 15 2016, 7:16 PM
epriestley closed this task as Wontfix.Mar 14 2018, 9:24 PM
epriestley claimed this task.